/* Общие стили */
body {
	font-family: 'Roboto', sans-serif;
	margin: 0;
	padding: 0;
	background-color: #0f0f0f;
	color: #fff;
	min-height: 100vh;
	overflow-y: auto;
	overflow-x: hidden;
}

	body::-webkit-scrollbar {
		display: none;
	}

header {
	background-color: #333;
	padding: 10px;
	text-align: center;
}

	header h1 {
		font-size: 60px; /* Уменьшим размер заголовка для смартфонов */
		margin-bottom: 15px; /* Уменьшим отступ снизу */
		margin-top: 10px; /* Увеличим отступ сверху */
	}

h1, h2, h3 {
	font-family: 'Press Start 2P', cursive;
}

nav {
	background-color: #222;
	padding: 10px 0;
	text-align: center;
}

	nav ul {
		list-style-type: none;
		margin: 0;
		padding: 0;
		text-align: center;
	}

		nav ul li {
			display: inline;
			margin-right: 40px;
			text-align: center;
		}

			nav ul li a {
				text-decoration: none;
				color: #fff;
				font-size: 30px;
				transition: all 0.3s ease;
				text-align: center;
			}

				nav ul li a:hover {
					color: #ff0;
					font-size: 45px;
				}

main {
	padding: 10px; /* Уменьшим внутренние отступы для мобильных устройств */
	text-align: center;
	font-size: 20px; /* Уменьшим размер шрифта для смартфонов */
	flex: 1;
}

section {
	margin-bottom: 20px; /* Увеличим отступ снизу для мобильных устройств */
}

footer {
	background-color: #333;
	color: #fff;
	text-align: center;
	padding: 10px;
	flex-shrink: 0;
	width: 100%;
	bottom: 0;
}

img {
	max-width: 100%; /* Сделаем изображения адаптивными для мобильных устройств */
	height: auto;
}

/* Анимация перехода */
.page-transition-out {
	opacity: 0;
	transition: opacity 0.5s ease;
}

.page-transition-in {
	opacity: 0;
	animation: pageFadeIn 1s forwards;
}

@keyframes pageFadeIn {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

@keyframes pageFadeOut {
	from {
		opacity: 1;
	}

	to {
		opacity: 0;
	}
}
.gallery {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

.image {
	margin: 50px;
	width: 300px;
	height: 300px;
	position: relative;
	overflow: hidden; /* ×òîáû îïèñàíèå íå âûõîäèëî çà ïðåäåëû èçîáðàæåíèÿ */
	border-radius: 10px;
	box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}

	.image img {
		width: 296px;
		height: 296px;
		border-radius: 10px;
		border: 2px solid transparent; /* Âåðíóòü ñòàðûé êîíòóð êàðòèíêè */
		transition: border-color 0.3s ease; /* Ïëàâíîñòü àíèìàöèè */
	}

	.image:hover img {
		border-color: #ff0; /* Èçìåíåíèå öâåòà êîíòóðà ïðè íàâåäåíèè */
	}


.caption {
	position: absolute;
	width: calc(100% - 20px);
	bottom: -50px; /* Ñêðûòèå îïèñàíèÿ */
	left: 50%;
	transform: translateX(-50%);
	background-color: rgba(0, 0, 0, 0.7);
	padding: 10px;
	border-radius: 5px;
	text-align: center;
	transition: bottom 0.3s ease, visibility 0.3s ease, opacity 0.3s ease; /* Àíèìàöèÿ äëÿ ïëàâíîãî ïîÿâëåíèÿ è èñ÷åçíîâåíèÿ îïèñàíèÿ */
	visibility: hidden; /* Ñêðûòèå îïèñàíèÿ */
	opacity: 0; /* Ñêðûòèå îïèñàíèÿ */
}

.image:hover .caption {
	bottom: 0px; /* Îòîáðàæåíèå îïèñàíèÿ ïðè íàâåäåíèè */
	visibility: visible; /* Îòîáðàæåíèå îïèñàíèÿ ïðè íàâåäåíèè */
	opacity: 1; /* Îòîáðàæåíèå îïèñàíèÿ ïðè íàâåäåíèè */
}

.caption h3,
.caption p {
	margin: 5px 0;
}
